# $Revision: 1.13 $, $Date: 2012/02/11 10:24:05 $
#
# Conditional build:
%bcond_without	tests		# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	EV
Summary:	EV - perl interface to libev, a high performance full-featured event loop
Summary(pl.UTF-8):	EV - perlowy interfejs do libev - wydajnej pętli zdarzeń
Name:		perl-EV
Version:	4.11
Release:	1
Epoch:		1
# same as perl, libev: BSD-like
License:	GPL v1+ or Artistic (perl module), BSD-like (embedded libev)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/%{pdir}-%{version}.tar.gz
# Source0-md5:	405c6d74f9dff12918b12560c1a57877
URL:		http://search.cpan.org/dist/EV/
BuildRequires:	perl-common-sense
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an interface to libev
(http://software.schmorp.de/pkg/libev.html).

This module is very fast and scalable. It is actually so fast that you
can use it through the AnyEvent module, stay portable to other event
loops (if you don't rely on any watcher types not available through
it) and still be faster than with any other event loop currently
supported in Perl.

%description -l pl.UTF-8
Moduł ten dostarcza intefejs do libev
(http://software.schmorp.de/pkg/libev.html).

Jest bardzo szybki i skalowalny. Właściwie jest na tyle szybki, że
można go użyć poprzez moduł AnyEvent i pozostawić kod przenośnym na
inne pętle zdarzeń (jeśli nie jest wymagane użycie typów obserwatorów
niedostępnych przez AnyEvent), i całość jest nadal szybsza niż inne
pętle zdarzeń dostępne z poziomu Perla.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor </dev/null
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d libev-doc
mv -f libev/{Changes,LICENSE,README} libev-doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes COPYING README libev-doc
%dir %{perl_vendorarch}/EV
%{perl_vendorarch}/EV/*.pm
%{perl_vendorarch}/EV.pm
%{perl_vendorarch}/EV/EVAPI.h
%{perl_vendorarch}/EV/ev.h
%dir %{perl_vendorarch}/auto/EV
%{perl_vendorarch}/auto/EV/EV.bs
%attr(755,root,root) %{perl_vendorarch}/auto/EV/EV.so
%{_mandir}/man3/EV*.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-EV.spec,v $
Revision 1.13  2012/02/11 10:24:05  zbyniu
- up to 4.11

Revision 1.12  2012/01/24 23:52:50  zbyniu
- up to 4.10

Revision 1.11  2011/02/21 16:52:54  qboosh
- updated to 4.03

Revision 1.10  2010/06/06 08:35:56  arekm
- release 5

Revision 1.9  2010/02/18 15:37:01  ankry
- Epoch 1 to ensure 3.9 > 3.44, rel. 4

Revision 1.8  2010/02/16 23:29:04  sparky
- BR: perl-common-sense

Revision 1.7  2010/02/16 16:13:27  ankry
- up to 2.9, enabled tests

Revision 1.6  2010/02/16 16:09:12  ankry
- more doc, license info fix

Revision 1.5  2010/02/16 15:43:39  ankry
- make build non-interactive, license info from COPYING, rel. 3

Revision 1.4  2009/10/27 21:11:04  amateja
- added missing %dir in %files section
- release 2

Revision 1.3  2009/09/09 12:38:10  amateja
- updated to 3.8

Revision 1.2  2009/06/17 08:45:21  amateja
- updated Source0 URL
- cleanup

Revision 1.1  2009/06/17 07:24:53  amateja
- initial
